const str = `
react/display-name: Prevent missing displayName in a React component definition
react/forbid-component-props: Forbid certain props on Components
react/forbid-prop-types: Forbid certain propTypes
react/no-array-index-key: Prevent using Array index in key props
react/no-children-prop: Prevent passing children as props
react/no-danger: Prevent usage of dangerous JSX properties
react/no-danger-with-children: Prevent problem with children and props.dangerouslySetInnerHTML
react/no-deprecated: Prevent usage of deprecated methods
react/no-did-mount-set-state: Prevent usage of setState in componentDidMount
react/no-did-update-set-state: Prevent usage of setState in componentDidUpdate
react/no-direct-mutation-state: Prevent direct mutation of this.state
react/no-find-dom-node: Prevent usage of findDOMNode
react/no-is-mounted: Prevent usage of isMounted
react/no-multi-comp: Prevent multiple component definition per file
react/no-render-return-value: Prevent usage of the return value of React.render
react/no-set-state: Prevent usage of setState
react/no-string-refs: Prevent using string references in ref attribute.
react/no-unescaped-entities: Prevent invalid characters from appearing in markup
react/no-unknown-property: Prevent usage of unknown DOM property (fixable)
react/no-unused-prop-types: Prevent definitions of unused prop types
react/prefer-es6-class: Enforce ES5 or ES6 class for React Components
react/prefer-stateless-function: Enforce stateless React Components to be written as a pure function
react/prop-types: Prevent missing props validation in a React component definition
react/react-in-jsx-scope: Prevent missing React when using JSX
react/require-default-props: Enforce a defaultProps definition for every prop that is not a required prop
react/require-optimization: Enforce React components to have a shouldComponentUpdate method
react/require-render-return: Enforce ES5 or ES6 class for returning value in render function
react/self-closing-comp: Prevent extra closing tags for components without children (fixable)
react/sort-comp: Enforce component methods order
react/sort-prop-types: Enforce propTypes declarations alphabetical sorting
react/style-prop-object: Enforce style prop value being an object
react/jsx-boolean-value: Enforce boolean attributes notation in JSX (fixable)
react/jsx-closing-bracket-location: Validate closing bracket location in JSX (fixable)
react/jsx-curly-spacing: Enforce or disallow spaces inside of curly braces in JSX attributes (fixable)
react/jsx-equals-spacing: Enforce or disallow spaces around equal signs in JSX attributes (fixable)
react/jsx-filename-extension: Restrict file extensions that may contain JSX
react/jsx-first-prop-new-line: Enforce position of the first prop in JSX (fixable)
react/jsx-handler-names: Enforce event handler naming conventions in JSX
react/jsx-indent: Validate JSX indentation (fixable)
react/jsx-indent-props: Validate props indentation in JSX (fixable)
react/jsx-key: Validate JSX has key prop when in array or iterator
react/jsx-max-props-per-line: Limit maximum of props on a single line in JSX
react/jsx-no-bind: Prevent usage of .bind() and arrow functions in JSX props
react/jsx-no-comment-textnodes: Prevent comments from being inserted as text nodes
react/jsx-no-duplicate-props: Prevent duplicate props in JSX
react/jsx-no-literals: Prevent usage of unwrapped JSX strings
react/jsx-no-target-blank: Prevent usage of unsafe target='_blank'
react/jsx-no-undef: Disallow undeclared variables in JSX
react/jsx-pascal-case: Enforce PascalCase for user-defined JSX components
react/jsx-sort-props: Enforce props alphabetical sorting
react/jsx-space-before-closing: Validate spacing before closing bracket in JSX (fixable)
react/jsx-tag-spacing: Validate whitespace in and around the JSX opening and closing brackets (fixable)
react/jsx-uses-react: Prevent React to be incorrectly marked as unused
react/jsx-uses-vars: Prevent variables used in JSX to be incorrectly marked as unused
react/jsx-wrap-multilines: Prevent missing parentheses around multilines JSX (fixable)
`;

str.trim().split('\n').map((value) => {
  const split = value.split(': ');
  console.log(`\n    // ${split[1]}`);
  console.log(`    // https://github.com/yannickcr/eslint-plugin-react/blob/master/docs/rules/${split[0].replace('react/', '')}.md`);
  console.log(`    '${split[0]}': ['error'],`)
});
